
class UserServer {
  async login(row) {
    let res =  await window.framework.http.post("/sys_user/login", row);
    return res;
  }

  async all() {
    let res =  await window.framework.http.get("/sys_user/index", {});
    return res;
  }

  async exportCsv(row) {
    let res = window.framework.http.fileExport("/sys_user/export", row);
    return res;
  }

  async authorityMenus() {
    let res =  await window.framework.http.post("/sys_user/authorityMenus", {});
    return res;
  }

  async add(row) {
    let res =  await window.framework.http.post("/sys_user/add", row);
    return res;
  }

  async edit(row) {
    let res =  await window.framework.http.post("/sys_user/edit", row);
    return res;
  }

  async del(row) {
    let res =  await window.framework.http.post("/sys_user/del", row);
    return res;
  }
}

const userServer = new UserServer();
export default userServer;
